summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@parabola.nu>2017-01-19 03:00:31 -0300
committerAndré Fabian Silva Delgado <emulatorman@parabola.nu>2017-01-19 03:00:31 -0300
commit36e45a6635d31e7005bb70ad4456e8527aed4ed4 (patch)
treefdfb6beeb86c22f0fa2deb686fc229a14e30202c
parent5b7eaaf3daa674c15c779e67b80a5829f0304560 (diff)
downloadabslibre-36e45a6635d31e7005bb70ad4456e8527aed4ed4.tar.gz
abslibre-36e45a6635d31e7005bb70ad4456e8527aed4ed4.tar.bz2
abslibre-36e45a6635d31e7005bb70ad4456e8527aed4ed4.zip
icedove-1:45.6.0.deb3-1{,.nonprism1}: updating version
-rw-r--r--libre/icedove/PKGBUILD36
-rw-r--r--nonprism/icedove/PKGBUILD36
2 files changed, 48 insertions, 24 deletions
diff --git a/libre/icedove/PKGBUILD b/libre/icedove/PKGBUILD
index fb65014f5..5b071288e 100644
--- a/libre/icedove/PKGBUILD
+++ b/libre/icedove/PKGBUILD
@@ -5,21 +5,24 @@
# We're getting this from Debian Sid
_debname=icedove
-_debver=45.5.1
-_debrel=deb1
+_brandingver=45.5.0
+_brandingrel=1
+_debver=45.6.0
+_debrel=deb3
_debrepo=http://ftp.debian.org/debian/pool/main/
+_parabolarepo=https://repo.parabola.nu/other/icedove
debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
_pkgname=thunderbird
pkgname=icedove
epoch=1
pkgver=$_debver.$_debrel
-pkgrel=2
+pkgrel=1
pkgdesc="A libre version of Debian Icedove, the standalone mail and news reader based on Mozilla Thunderbird."
arch=(i686 x86_64 armv7h)
license=(MPL GPL LGPL)
-depends=(alsa-lib dbus-glib gtk2 hunspell icu=58.2 libevent libvpx=1.6.0 libxt mime-types mozilla-common nss sqlite startup-notification ttf-font)
+depends=(alsa-lib dbus-glib gtk2 hunspell icu=58.2 libevent libvpx libxt mime-types mozilla-common nss sqlite startup-notification ttf-font)
makedepends=(autoconf2.13 diffutils gconf imake inetutils libpulse mesa mozilla-searchplugins pkg-config python2 quilt unzip yasm zip)
options=(!emptydirs !makeflags)
optdepends=('libcanberra: for sound support')
@@ -30,6 +33,8 @@ provides=("$_pkgname")
install=$pkgname.install
source=("$_debrepo/`debfile $_debname`_$_debver.orig.tar.xz"
"$_debrepo/`debfile $_debname`_$_debver-${_debrel#deb}.debian.tar.xz"
+ "$_parabolarepo/${pkgname}_$_brandingver-$_brandingrel.branding.tar.xz"
+ "$_parabolarepo/${pkgname}_$_brandingver-$_brandingrel.branding.tar.xz.sig"
mozconfig
$pkgname.desktop
changing-the-default-search-engine.patch
@@ -38,8 +43,10 @@ source=("$_debrepo/`debfile $_debname`_$_debver.orig.tar.xz"
fix-missing-files.patch
no-neon.patch
mozilla-1253216.patch)
-sha256sums=('a707a5dc3d70572e916006ac1e8a8f59aea7327efb466d11fed4a760c5ea2b5e'
- 'a3bc53a88df02b3d2323748ba76f3a2f6570af1dfe6b80603460d1ed15cdab54'
+sha256sums=('b2cbd20c78476b9b7ba7624d8e12e6e593b5c60f79488feae2c07d2163618b9d'
+ 'eb4ba2e4bed9b8c7a85b2c98ad297c2f61d1ffe876f97a38197c6ec243503bf8'
+ 'b80e0bddf39c6fd909316899bffd8e884cf639870fa4f4d5a6e97b8ad0e08576'
+ 'SKIP'
'aaca37bcca176d1b8ebe7c18d3fb0c61e3d21769fbf8e994a189eb3263257d3d'
'0b0d25067c64c6b829c84e5259ffca978e3971f85acc8483f47bdbed5b0b5b6a'
'e1f72c44e31f191271207fc874dcfbf3d504b6b42dc1bb063ba8c7c9ee032130'
@@ -50,10 +57,21 @@ sha256sums=('a707a5dc3d70572e916006ac1e8a8f59aea7327efb466d11fed4a760c5ea2b5e'
'294a2cc7b0477ad285af10ac2a04b767cabec07f03b23da23014bda71caea510'
'59f40d8b2480aa67bf76f4f119826b6828a6a59cc040caf1ab5a6e19eef44c6e'
'1e7ef08acd46aeacc8cd8b2c89012983fb2c8c18648e0f3e9371b0c76caedbde')
+validpgpkeys=(
+ 'C92BAA713B8D53D3CAE63FC9E6974752F9704456' # André Silva
+ '684D54A189305A9CC95446D36B888913DDB59515' # Márcio Silva
+)
prepare() {
cd "$srcdir/$_pkgname-$_debver"
mv "$srcdir/debian" .
+ rm -rv debian/logo
+ rm -rv debian/patches/icedove{,-l10n} || true
+ sed -i '\|icedove|d' debian/patches/series
+ mv "$srcdir/$pkgname-$_brandingver/"{app-icons,icedove{-branding,.xpm},logo,preview.png} debian
+ mv "$srcdir/$pkgname-$_brandingver/patches/"{icedove,iceowl} debian/patches
+ mv "$srcdir/$pkgname-$_brandingver/patches/debian-hacks/Icedove-branding.patch" debian/patches/debian-hacks
+ cat "$srcdir/$pkgname-$_brandingver/patches/series" >> debian/patches/series
export QUILT_PATCHES=debian/patches
export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
@@ -75,8 +93,6 @@ prepare() {
cp -av debian/preview.png mail/themes/linux/mail/preview.png
# Useless since we are doing it ourselves
- rm -rv debian/patches/icedove-l10n || true
- rm -rv debian/patches/iceowl-l10n || true
rm -v debian/patches/debian-hacks/changing-the-default-search-engine.patch || true
quilt push -av
@@ -91,10 +107,6 @@ prepare() {
\|url-classifier|d
' mail/installer/package-manifest.in
- # Fix branding
- sed -i 's|Icedove Mail/News|Icedove|
- ' mail/branding/icedove/locales/en-US/brand.{dtd,properties}
-
# Replace common URLs
sed -i '\|extensions[.]getAddons[.]get[.]url| s|https://services[.]addons[.]mozilla[.]org.\+["][)][;]|https://directory.fsf.org/wiki/Icedove");|g;
\|extensions[.]getAddons[.]search[.]browseURL| s|https://addons[.]mozilla[.]org.\+["][)][;]|https://directory.fsf.org/wiki/Icedove");|g;
diff --git a/nonprism/icedove/PKGBUILD b/nonprism/icedove/PKGBUILD
index 847e4d3ea..d69a23ca3 100644
--- a/nonprism/icedove/PKGBUILD
+++ b/nonprism/icedove/PKGBUILD
@@ -5,21 +5,24 @@
# We're getting this from Debian Sid
_debname=icedove
-_debver=45.5.1
-_debrel=deb1
+_brandingver=45.5.0
+_brandingrel=1
+_debver=45.6.0
+_debrel=deb3
_debrepo=http://ftp.debian.org/debian/pool/main/
+_parabolarepo=https://repo.parabola.nu/other/icedove
debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
_pkgname=thunderbird
pkgname=icedove
epoch=1
pkgver=$_debver.$_debrel
-pkgrel=2.nonprism1
+pkgrel=1.nonprism1
pkgdesc="A libre version of Debian Icedove, the standalone mail and news reader based on Mozilla Thunderbird, without support for unsafe and dangerous for privacy protocols"
arch=(i686 x86_64 armv7h)
license=(MPL GPL LGPL)
-depends=(alsa-lib dbus-glib gtk2 hunspell icu=58.2 libevent libvpx=1.6.0 libxt mime-types mozilla-common nss sqlite startup-notification ttf-font)
+depends=(alsa-lib dbus-glib gtk2 hunspell icu=58.2 libevent libvpx libxt mime-types mozilla-common nss sqlite startup-notification ttf-font)
makedepends=(autoconf2.13 diffutils gconf imake inetutils libpulse mesa mozilla-searchplugins pkg-config python2 quilt unzip yasm zip)
options=(!emptydirs !makeflags)
optdepends=('libcanberra: for sound support')
@@ -30,6 +33,8 @@ provides=("$_pkgname")
install=$pkgname.install
source=("$_debrepo/`debfile $_debname`_$_debver.orig.tar.xz"
"$_debrepo/`debfile $_debname`_$_debver-${_debrel#deb}.debian.tar.xz"
+ "$_parabolarepo/${pkgname}_$_brandingver-$_brandingrel.branding.tar.xz"
+ "$_parabolarepo/${pkgname}_$_brandingver-$_brandingrel.branding.tar.xz.sig"
mozconfig
$pkgname.desktop
changing-the-default-search-engine.patch
@@ -38,8 +43,10 @@ source=("$_debrepo/`debfile $_debname`_$_debver.orig.tar.xz"
fix-missing-files.patch
no-neon.patch
mozilla-1253216.patch)
-sha256sums=('a707a5dc3d70572e916006ac1e8a8f59aea7327efb466d11fed4a760c5ea2b5e'
- 'a3bc53a88df02b3d2323748ba76f3a2f6570af1dfe6b80603460d1ed15cdab54'
+sha256sums=('b2cbd20c78476b9b7ba7624d8e12e6e593b5c60f79488feae2c07d2163618b9d'
+ 'eb4ba2e4bed9b8c7a85b2c98ad297c2f61d1ffe876f97a38197c6ec243503bf8'
+ 'b80e0bddf39c6fd909316899bffd8e884cf639870fa4f4d5a6e97b8ad0e08576'
+ 'SKIP'
'aaca37bcca176d1b8ebe7c18d3fb0c61e3d21769fbf8e994a189eb3263257d3d'
'0b0d25067c64c6b829c84e5259ffca978e3971f85acc8483f47bdbed5b0b5b6a'
'e1f72c44e31f191271207fc874dcfbf3d504b6b42dc1bb063ba8c7c9ee032130'
@@ -50,10 +57,21 @@ sha256sums=('a707a5dc3d70572e916006ac1e8a8f59aea7327efb466d11fed4a760c5ea2b5e'
'294a2cc7b0477ad285af10ac2a04b767cabec07f03b23da23014bda71caea510'
'59f40d8b2480aa67bf76f4f119826b6828a6a59cc040caf1ab5a6e19eef44c6e'
'1e7ef08acd46aeacc8cd8b2c89012983fb2c8c18648e0f3e9371b0c76caedbde')
+validpgpkeys=(
+ 'C92BAA713B8D53D3CAE63FC9E6974752F9704456' # André Silva
+ '684D54A189305A9CC95446D36B888913DDB59515' # Márcio Silva
+)
prepare() {
cd "$srcdir/$_pkgname-$_debver"
mv "$srcdir/debian" .
+ rm -rv debian/logo
+ rm -rv debian/patches/icedove{,-l10n} || true
+ sed -i '\|icedove|d' debian/patches/series
+ mv "$srcdir/$pkgname-$_brandingver/"{app-icons,icedove{-branding,.xpm},logo,preview.png} debian
+ mv "$srcdir/$pkgname-$_brandingver/patches/"{icedove,iceowl} debian/patches
+ mv "$srcdir/$pkgname-$_brandingver/patches/debian-hacks/Icedove-branding.patch" debian/patches/debian-hacks
+ cat "$srcdir/$pkgname-$_brandingver/patches/series" >> debian/patches/series
export QUILT_PATCHES=debian/patches
export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
@@ -75,8 +93,6 @@ prepare() {
cp -av debian/preview.png mail/themes/linux/mail/preview.png
# Useless since we are doing it ourselves
- rm -rv debian/patches/icedove-l10n || true
- rm -rv debian/patches/iceowl-l10n || true
rm -v debian/patches/debian-hacks/changing-the-default-search-engine.patch || true
quilt push -av
@@ -91,10 +107,6 @@ prepare() {
\|url-classifier|d
' mail/installer/package-manifest.in
- # Fix branding
- sed -i 's|Icedove Mail/News|Icedove|
- ' mail/branding/icedove/locales/en-US/brand.{dtd,properties}
-
# Replace common URLs
sed -i '\|extensions[.]getAddons[.]get[.]url| s|https://services[.]addons[.]mozilla[.]org.\+["][)][;]|https://directory.fsf.org/wiki/Icedove");|g;
\|extensions[.]getAddons[.]search[.]browseURL| s|https://addons[.]mozilla[.]org.\+["][)][;]|https://directory.fsf.org/wiki/Icedove");|g;